﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MvpStoreFront.Business.ComponentInterfaces;
using MvpStoreFront.Business.DomainObjects;

namespace MvpStoreFront.Business.Components
{
    public class NorthwindRepository : INorthwindRepository
    {
        NorthwindDataContext context = new NorthwindDataContext();
        public IList<Category> GetCategories()
        {
            return context.Categories.ToList();
        }
        public IList<Product> GetProductsByCategory(string category)
        {
            return context.Products.Where(c => c.Category.CategoryName==category).ToList();
        }
        public Product GetProductById(int id)
        {
            return context.Products.Single(p => p.ProductID == id);
        }
    }
}
