﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MvpStoreFront.Business.DomainObjects;
using MvpStoreFront.Business.Enumerations;
using MvpStoreFront.Business.ViewInterfaces;

namespace MvpStoreFront.Business.Presenters
{
    public class CategoriesPresenter : BasePresenter<ICategories>
    {
        public CategoriesPresenter(ICategories view) : base(view)
        {
        }

        protected override void SubscribeViewToEvents()
        {
            
        }

        protected override void OnViewLoad(object sender, EventArgs e)
        {
            if (!IsPostBack)
                LoadViewFromModel();
        }
        public override void LoadViewFromModel()
        {
            var catList = new Dictionary<Category, string>();
            foreach (Category cat in NorthwindRepository.GetCategories())
            {
                    catList.Add(cat,NavigationComponent.GetUrl(PageIdentifier.List,
                        QueryStringParameter.CategoryName,cat.CategoryName));
            }
            View.CategoryList = catList;
        }
    }
}
