﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MvpStoreFront.Business.DomainObjects;
using MvpStoreFront.Business.Enumerations;
using MvpStoreFront.Business.Presenters;
using MvpStoreFront.Web.Code;
using MvpStoreFront.Business.ViewInterfaces;

namespace MvpStoreFront.Web
{
    public partial class Categories : BasePage,ICategories
    {

        protected override IPresenter CreatePresenter()
        {
            return new CategoriesPresenter(this);
        }

        protected override void CreateEventhandlers()
        {
        }

        public override PageIdentifier PageIdentifier
        {
            get { return PageIdentifier.Categories; }
        }

        public IDictionary<Category, string> CategoryList
        {
            set
            {
                foreach (var cat in value.Keys)
                {
                    ItemPlaceHolder.Controls.Add(new Literal() { Text = "<li>" });
                    ItemPlaceHolder.Controls.Add(new HyperLink()
                        {   NavigateUrl = value[cat],
                            Text = cat.CategoryName});
                    ItemPlaceHolder.Controls.Add(new Literal() {Text = "</li><br />"});
                }
            }
            get
            {
                throw new NotImplementedException();
            }
        }
    }
}
